> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Genomic Elements Cell Gene Predictions

> Retrieve predicted associated genes and cell types for a given variant.

Example: variant_id = NC_000012.12:69248967:C:T,

spdi = NC_000012.12:69248967:C:T,

hgvs = NC_000012.12:g.69248968C>T,

rsid = rs544450198,

ca_id = CA10655063,

region = chr1:1157520-1158189 (maximum length: 10kb).



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/genomic-elements/cell-gene-predictions
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/genomic-elements/cell-gene-predictions:
    get:
      summary: Variants Genomic Elements Cell Gene Predictions
      description: |-
        Retrieve predicted associated genes and cell types for a given variant.

        Example: variant_id = NC_000012.12:69248967:C:T,

        spdi = NC_000012.12:69248967:C:T,

        hgvs = NC_000012.12:g.69248968C>T,

        rsid = rs544450198,

        ca_id = CA10655063,

        region = chr1:1157520-1158189 (maximum length: 10kb).
      operationId: genomicElementsPredictionsFromVariant
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  sequence variant:
                    type: object
                    properties:
                      _id:
                        type: string
                      chr:
                        type: string
                      pos:
                        type: number
                      rsid:
                        type: array
                        items:
                          type: string
                        nullable: true
                      ref:
                        type: string
                      alt:
                        type: string
                      spdi:
                        type: string
                        nullable: true
                      hgvs:
                        type: string
                        nullable: true
                      ca_id:
                        type: string
                        nullable: true
                    required:
                      - _id
                      - chr
                      - pos
                      - rsid
                      - ref
                      - alt
                      - spdi
                      - hgvs
                    additionalProperties: false
                  predictions:
                    type: object
                    properties:
                      cell_types:
                        type: array
                        items:
                          type: string
                      genes:
                        type: array
                        items:
                          type: object
                          properties:
                            gene_name:
                              type: string
                              nullable: true
                            id:
                              type: string
                          required:
                            - gene_name
                            - id
                          additionalProperties: false
                    required:
                      - cell_types
                      - genes
                    additionalProperties: false
                required:
                  - sequence variant
                  - predictions
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````